using System;
using System.IO;

namespace Přesunování_souborů
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
          Console.Title = "Přesunování souborů";

         // Pro příklad soubor nejprve zkopírujeme */
         try
         {
            File.Copy(@"C:\autoexec.bat", @"C:\autoexec.bat.copy");
         }
         catch { /* Chyby ignorujeme */ }

         string sourceFileName = @"C:\autoexec.bat.copy";
         string destFileName = @"C:\Temp\autoexec.bat.copy";

         try
         {
            // Soubor přesuneme
            File.Move(sourceFileName, destFileName);

            Console.WriteLine("Soubor úspěšně přesunut");
         }
         catch (IOException ex)
         {
            Console.WriteLine("Chyba při přesunu souboru: " + ex.Message);
         }

         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
